# http://upstart.ubuntu.com/cookbook/

description "Zoox Heartbeat"

start on started rsyslog
stop on stopping rsyslog

pre-start script
logger -t syslog.info "Heartbeat starting"
end script

pre-stop script
logger -t syslog.info "Heartbeat stopping"
end script

exec sh -c '
while true; do
    logger -t syslog.debug "Uptime: `cat /proc/uptime` Load: `cat /proc/loadavg`";
    sleep 1;
done;'
